Subject: Re: [PATCH 14/21] i18n: rebase-interactive: mark strings for translation

From: Vasco Almeida <[email-masked]>
Date: Sat, 21 May 2016 14:05:34 +0000

Às 12:57 de 21-05-2016, Ævar Arnfjörð Bjarmason escreveu:
> On Wed, May 18, 2016 at 5:27 PM, Vasco Almeida <[email-masked]> wrote:
>> > Mark strings in git-rebase--interactive.sh for translation. There is no
>> > need to source git-sh-i18n since git-rebase.sh already does so.
> Cool, thanks for working on this.
> 
>> > --- a/git-rebase--interactive.sh
>> > +++ b/git-rebase--interactive.sh
>> > @@ -128,7 +128,7 @@ mark_action_done () {
>> >         if test "$last_count" != "$new_count"
>> >         then
>> >                 last_count=$new_count
>> > -               printf "Rebasing (%d/%d)\r" $new_count $total
>> > +               printf "$(gettext Rebasing) (%d/%d)\r" $new_count $total
>> >                 test -z "$verbose" || echo
>> >         fi
>> >  }
> Things like these should be converted into something you can pass to
> eval_gettext. I.e. For any message the translator needs to be able to
> translate the whole message. Consider e.g. RTL languages where the
> (%d/%d) will be on the right-hand-side of the message.
> 
One more thing I haven't anticipated. Thank you for pointing it out.

I'll take this and the other comments in consideration for the next re-roll.